class PatientPackageComponent {
  List<PatientPackageComponents>? patientPackageComponents;

  PatientPackageComponent({this.patientPackageComponents});

  PatientPackageComponent.fromJson(Map<String, dynamic> json) {
    if (json['PatientPackageComponents'] != null) {
      patientPackageComponents = <PatientPackageComponents>[];
      json['PatientPackageComponents'].forEach((v) {
        patientPackageComponents!.add(new PatientPackageComponents.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.patientPackageComponents != null) {
      data['PatientPackageComponents'] = this.patientPackageComponents!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PatientPackageComponents {
  int? invoiceNo;
  int? lineItemNo;
  String? procedureID;
  String? procedureName;
  int? projectID;
  int? sequence;
  String? setupID;
  num? invoiceNo_VP;

  PatientPackageComponents({this.invoiceNo, this.lineItemNo, this.procedureID, this.procedureName, this.projectID, this.sequence, this.setupID, this.invoiceNo_VP});

  PatientPackageComponents.fromJson(Map<String, dynamic> json) {
    invoiceNo = json['InvoiceNo'];
    lineItemNo = json['LineItemNo'];
    procedureID = json['ProcedureID'];
    procedureName = json['ProcedureName'];
    projectID = json['ProjectID'];
    sequence = json['Sequence'];
    setupID = json['SetupID'];
    invoiceNo_VP = json['InvoiceNo_VP'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['InvoiceNo'] = this.invoiceNo;
    data['LineItemNo'] = this.lineItemNo;
    data['ProcedureID'] = this.procedureID;
    data['ProcedureName'] = this.procedureName;
    data['ProjectID'] = this.projectID;
    data['Sequence'] = this.sequence;
    data['SetupID'] = this.setupID;
    data['InvoiceNo_VP'] = this.invoiceNo_VP;
    return data;
  }
}
